"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bigNumPercentage = exports.bigNumMin = exports.bigNumAvg = exports.bigNumSumBy = exports.bigNumSum = void 0;
const bignumber_1 = require("@ethersproject/bignumber");
const bigNumSum = (values) => values.reduce((sum, value) => sum.add(bignumber_1.BigNumber.from(value)), bignumber_1.BigNumber.from(0));
exports.bigNumSum = bigNumSum;
const bigNumSumBy = (values, prop) => values.reduce((sum, value) => sum.add(bignumber_1.BigNumber.from(value[prop])), bignumber_1.BigNumber.from(0));
exports.bigNumSumBy = bigNumSumBy;
const bigNumAvg = (values) => values.length > 0 ? exports.bigNumSum(values).div(bignumber_1.BigNumber.from(values.length)) : bignumber_1.BigNumber.from(0);
exports.bigNumAvg = bigNumAvg;
const bigNumMin = (...values) => values.reduce((min, value) => {
    return value.lt(min) ? value : min;
}, values[0]);
exports.bigNumMin = bigNumMin;
const bigNumPercentage = (part, total) => {
    if (total.eq(0)) {
        return 0;
    }
    return part.mul(1000).div(total).toNumber() / 10;
};
exports.bigNumPercentage = bigNumPercentage;
//# sourceMappingURL=bigNumber.js.map